## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# OutputContextStack::OutputContext Struct Reference

Collaboration diagram for OutputContextStack::OutputContext:

[legend]
List of all members.

## Public Member Functions

- OutputContext (MemoryManagerType &theManager, FormatterListener *theListener=0)
- OutputContext (const OutputContext &other, MemoryManagerType &theManager)
- ~OutputContext ()
- void reset ()

## Public Attributes

- FormatterListener * m_flistener
- AttributeListImpl m_pendingAttributes
- XalanDOMString m_pendingElementName
- bool m_hasPendingStartDocument
- bool m_mustFlushPendingStartDocument

## Constructor & Destructor Documentation

OutputContextStack::OutputContext::OutputContext | ( | MemoryManagerType & | theManager,
|  | FormatterListener * | theListener = 0
| ) |

OutputContextStack::OutputContext::OutputContext | ( | const OutputContext & | other,
|  | MemoryManagerType & | theManager
| ) |

OutputContextStack::OutputContext::~OutputContext | ( |  | ) |

## Member Function Documentation

void OutputContextStack::OutputContext::reset | ( |  | ) |

## Member Data Documentation

FormatterListener* OutputContextStack::OutputContext::m_flistener

bool OutputContextStack::OutputContext::m_hasPendingStartDocument

bool OutputContextStack::OutputContext::m_mustFlushPendingStartDocument

AttributeListImpl OutputContextStack::OutputContext::m_pendingAttributes

XalanDOMString OutputContextStack::OutputContext::m_pendingElementName

The documentation for this struct was generated from the following file:

- OutputContextStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.